Show / Hide Table of Contents

# Class GameAsset

An asset for a RichGame object containing the text and image.

##### Inheritance

System.Object
GameAsset

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class GameAsset

### Properties

| Improve this Doc View Source

#### ImageId

Gets the image ID of the asset.

##### Declaration

    public string ImageId { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the unique image identifier of the asset.

| Improve this Doc View Source

#### Text

Gets the description of the asset.

##### Declaration

    public string Text { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the description of the asset.

### Methods

| Improve this Doc View Source

#### GetImageUrl(ImageFormat, UInt16)

Returns the image URL of the asset.

##### Declaration

    public string GetImageUrl(ImageFormat format = ImageFormat.Auto, ushort size = 128)

##### Parameters

Type | Name | Description
--- | --- | ---
ImageFormat | format | The format to return.
System.UInt16 | size | The size of the image to return in. This can be any power of two between 16 and 2048.

##### Returns

Type | Description
--- | ---
System.String | A string pointing to the image URL of the asset; `null` when the application ID does not exist.